// #############################################################################
// #                     --- Flashlight Controller ---                         #
// #############################################################################
// # prng.h - Header for pseudo random number generator                        #
// #############################################################################
// #              Version: 1.0 - Compiler: AVR-GCC 4.5.0 (Linux)               #
// #  (c) 2012 by Malte Pöggel - www.MALTEPOEGGEL.de - malte@maltepoeggel.de   #
// #############################################################################
// #  This program is free software; you can redistribute it and/or modify it  #
// #   under the terms of the GNU General Public License as published by the   #
// #        Free Software Foundation; either version 3 of the License,         #
// #                  or (at your option) any later version.                   #
// #                                                                           #
// #      This program is distributed in the hope that it will be useful,      #
// #      but WITHOUT ANY WARRANTY; without even the implied warranty of       #
// #           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.            #
// #           See the GNU General Public License for more details.            #
// #                                                                           #
// #  You should have received a copy of the GNU General Public License along  #
// #      with this program; if not, see <http://www.gnu.org/licenses/>.       #
// #############################################################################

// Source:
// http://www.mikrocontroller.net/topic/112114
// http://en.wikipedia.org/wiki/Linear_congruential_generator

#ifndef PRNG_H
 #define PRNG_H

 #include <avr/io.h>

 #define PRNG_MULTIPLIER  19
 #define PRNG_CONSTANT    17
 
 void prng_seed( uint8_t nSeed );
 uint8_t prng_get( void );

#endif
